Skip to main content
PUT
/
v1
/
tag
/
{uid}
/
experiment
/
{id}
/tag/:uid/experiment/:id
curl --request PUT \
  --url https://api.tagdeliver.com/v1/tag/{uid}/experiment/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "start": "2023-12-25",
  "end": "2023-12-25"
}
'
import requests

url = "https://api.tagdeliver.com/v1/tag/{uid}/experiment/{id}"

payload = {
"start": "2023-12-25",
"end": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({start: '2023-12-25', end: '2023-12-25'})
};

fetch('https://api.tagdeliver.com/v1/tag/{uid}/experiment/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": {
    "id": 146,
    "uid": 18620,
    "title": "LB 1 Variant Test",
    "start": "2025-09-26",
    "end": "2025-10-31",
    "auto_activate": false,
    "subject": [
      {
        "allocation": 50,
        "config_id": 8392
      },
      {
        "allocation": 50,
        "config_id": 8393
      }
    ],
    "url_filter": {
      "matches": [],
      "type": "include"
    },
    "device_filter": {
      "matches": [],
      "type": "include"
    },
    "geo_filter": {
      "matches": [],
      "type": "include"
    },
    "audience_filter": {
      "matches": [],
      "type": "include"
    },
    "browser_filter": {
      "matches": [],
      "type": "include"
    },
    "viewport_filter": {
      "matches": [],
      "type": "include"
    },
    "region_filter": {
      "matches": [],
      "type": "include"
    },
    "status": 1,
    "description": null,
    "os_filter": {
      "matches": [],
      "type": "include"
    }
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
integer
required

Publisher ID

id
integer
required

Experiment ID

Body

application/json
start
string<date>
end
string<date>

Response

200 - application/json
results
object
required
success
boolean
required